Bug 25465 - Verschieben von ~2000 Objekten
Verschieben von ~2000 Objekten
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 3.0
Other Linux
: P1 normal (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Florian Best
: interim-2
Depends on:
Blocks: 33183
  Show dependency treegraph
 
Reported: 2011-12-13 14:50 CET by Florian Best
Modified: 2013-11-19 06:42 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2011-12-13 14:50:38 CET
Nach dem verschieben von ca 2000 Benutzern in UMC2 kommt nach dem Ladebalken folgender Hinweis:
Ein unbekannter Fehler mit Status-Code 502 trat während des Verbindungsaufbaus zum Server auf. Bitte versuchen Sie es später noch einmal.

Das verschieben der Objekte funktioniert, diese brauchen danach noch einige Minuten um an der richtigen Position angezeigt zu werden.
Comment 1 Alexander Kläser univentionstaff 2012-05-09 12:58:50 CEST
Das Problem hier ist, dass die Operation zu lange dauert und der Request Browser-seitig in einen Timeout läuft. Besser wäre es hier zumindest Long-Polling zu benutzen, bzw. auch eine Progressbar zu verwenden, um den aktuellen Status der Operation anzuzeigen. Dies könnte auch bei anderen Operation verwendet werden (bspw. wenn mehrere Objekte bearbeitet verschoben etc. werden).
Comment 2 Arvid Requate univentionstaff 2012-12-03 11:53:30 CET
Die Fehlermeldung tritt auch hin und wieder bei Snapshot-Revert-Operationen in UVMM auf.
Comment 3 Philipp Hahn univentionstaff 2012-12-03 12:11:13 CET
(In reply to comment #2)
> Die Fehlermeldung tritt auch hin und wieder bei Snapshot-Revert-Operationen in
> UVMM auf.
Für UVMM siehe Bug #24852
Comment 4 Alexander Kläser univentionstaff 2013-06-04 19:05:20 CEST
Siehe auch Bug 31642.
Comment 5 Dirk Wiesenthal univentionstaff 2013-09-16 22:28:05 CEST
Moving objects now shows a progress bar and UDM is polling for progress. This has been done generically, not UDM specific, by adding the functionality to umc-server and umc-frontend and using this in UDM.

Rationale is that I had Bug#24852 in mind.

  univention-management-console 6.0.11-1.752.201309162220
  univention-management-console-frontend 3.0.72-1.709.201309162209
  univention-management-console-module-udm 4.0.21-1.344.201309162225
Comment 6 Florian Best univentionstaff 2013-09-17 10:15:11 CEST
The progressbar works as expected. The chosen solution is nice ;)

After moving objects the javascript frontend end in an exception in udm.js +1057 because this._tree is only defined in the LDAP directory tree view.

Also the new python module should be renamed into ".mixins".
Comment 7 Florian Best univentionstaff 2013-09-17 11:20:20 CEST
Fehlermeldungen werden nicht angezeigt (z.B. beim verschieben eines DHCP Services).
Comment 8 Dirk Wiesenthal univentionstaff 2013-09-17 19:15:49 CEST
Exceptions-Fix
  univention-management-console 6.0.13-1.754.201309171907
Tree-Fix
  univention-management-console-module-udm 4.0.23-1.346.201309171908
Resolved-Fix
  univention-management-console-frontend 3.0.74-1.712.201309171910
Comment 9 Alexander Kläser univentionstaff 2013-09-18 10:54:32 CEST
umc/tools:umcpProgressSubCommand()
→ Could this be renamed to _umcpProgressPolling() or similar?
Comment 10 Florian Best univentionstaff 2013-09-19 09:46:29 CEST
(In reply to Alexander Kläser from comment #9)
> umc/tools:umcpProgressSubCommand()
> → Could this be renamed to _umcpProgressPolling() or similar?
Will be done at Bug #24852 (the method will be adapted there).

Everything else is fine now.
Comment 11 Stefan Gohmann univentionstaff 2013-11-19 06:42:32 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".